Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Settings Class Reference

A GtkSettings C++ wrapper class. More...

`#include <inti/gtk/settings.h>`

Inheritance diagram for Inti::Gtk::Settings:

List of all members.

## Public Member Functions

Constructors

- virtual ~Settings ()
    Destructor.

Accessors

- GtkSettings * gtk_settings () const
    Get a pointer to the GtkSettings structure.
- GtkSettingsClass * gtk_settings_class () const
    Get a pointer to the GtkSettingsClass structure.
- operator GtkSettings * () const
    Conversion operator; safely converts a Settings to a GtkSettings pointer.

Property Proxies

- const GtkDoubleClickTimePropertyProxy prop_gtk_double_click_time ()
    Maximum time allowed between two clicks for them to be considered a double click (in milliseconds) (int : Read / Write).
- const GtkCursorBlinkPropertyProxy prop_gtk_cursor_blink ()
    Whether the cursor should blink (bool : Read / Write).
- const GtkCursorBlinkTimePropertyProxy prop_gtk_cursor_blink_time ()
    Length of the cursor blink cycle, in milleseconds (int : Read / Write).
- const GtkSplitCursorPropertyProxy prop_gtk_split_cursor ()
    Whether two cursors should be displayed for mixed left-to-right and right-to-left text (bool : Read / Write).
- const GtkThemeNamePropertyProxy prop_gtk_theme_name ()
    Name of theme RC file to load (String : Read / Write).
- const GtkKeyThemeNamePropertyProxy prop_gtk_key_theme_name ()
    Name of key theme RC file to load (String : Read / Write).
- const GtkMenuBarAccelPropertyProxy prop_gtk_menu_bar_accel ()
    Keybinding to activate the menu bar (String : Read / Write).
- const GtkDndDragThresholdPropertyProxy prop_gtk_dnd_drag_threshold ()
    Number of pixels the cursor can move before dragging (int : Read / Write).
- const GtkFontNamePropertyProxy prop_gtk_font_name ()
    Name of default font to use (String : Read / Write).
- const GtkIconSizesPropertyProxy prop_gtk_icon_sizes ()
    List of icon sizes (gtk-menu=16,16;gtk-button=20,20...) (String : Read / Write).

## Static Public Member Functions

- Settings * get (const Gdk::Screen *screen=0)
    Gets the Settings object for the specified screen, creating it if necessary.

## Protected Member Functions

Constructors

- Settings (GtkSettings *settings, bool reference=true)
    Construct a new Settings from an existing GtkSettings.

## Detailed Description

A GtkSettings C++ wrapper class.

The Settings object holds the current settings for a GDK screen.

## Constructor & Destructor Documentation

Inti::Gtk::Settings::Settings | ( | GtkSettings * | settings,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new Settings from an existing GtkSettings. Parameters:
  settings | A pointer to a GtkSettings.
  reference | Set false if the initial reference count is floating, set true if it's not.
The settings can be a newly created GtkSettings or an existing GtkSettings (see G::Object::Object).

## Member Function Documentation

Settings* Inti::Gtk::Settings::get | ( | const Gdk::Screen * | screen = 0 | ) | `[static]`

  | Gets the Settings object for the specified screen, creating it if necessary. Parameters:
  screen | A Gdk::Screen, or null for the default screen.
Returns: A Settings object. Note: The default GDK screen is the only screen in the absence of MultiHead support.

The documentation for this class was generated from the following file:

- settings.h

Main Page - Footer